# This file will be configured to contain variables for CPack. These variables
# should be set in the CMake list file of the project before CPack module is
# included. Example variables are:
#   CPACK_GENERATOR                     - Generator used to create package
#   CPACK_INSTALL_CMAKE_PROJECTS        - For each project (path, name, component)
#   CPACK_CMAKE_GENERATOR               - CMake Generator used for the projects
#   CPACK_INSTALL_COMMANDS              - Extra commands to install components
#   CPACK_INSTALL_DIRECTORIES           - Extra directories to install
#   CPACK_PACKAGE_DESCRIPTION_FILE      - Description file for the package
#   CPACK_PACKAGE_DESCRIPTION_SUMMARY   - Summary of the package
#   CPACK_PACKAGE_EXECUTABLES           - List of pairs of executables and labels
#   CPACK_PACKAGE_FILE_NAME             - Name of the package generated
#   CPACK_PACKAGE_ICON                  - Icon used for the package
#   CPACK_PACKAGE_INSTALL_DIRECTORY     - Name of directory for the installer
#   CPACK_PACKAGE_NAME                  - Package project name
#   CPACK_PACKAGE_VENDOR                - Package project vendor
#   CPACK_PACKAGE_VERSION               - Package project version
#   CPACK_PACKAGE_VERSION_MAJOR         - Package project version (major)
#   CPACK_PACKAGE_VERSION_MINOR         - Package project version (minor)
#   CPACK_PACKAGE_VERSION_PATCH         - Package project version (patch)

# There are certain generator specific ones

# NSIS Generator:
#   CPACK_PACKAGE_INSTALL_REGISTRY_KEY  - Name of the registry key for the installer
#   CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS - Extra commands used during uninstall
#   CPACK_NSIS_EXTRA_INSTALL_COMMANDS   - Extra commands used during install


SET(CPACK_BINARY_BUNDLE "")
SET(CPACK_BINARY_CYGWIN "")
SET(CPACK_BINARY_DEB "OFF")
SET(CPACK_BINARY_DRAGNDROP "")
SET(CPACK_BINARY_NSIS "OFF")
SET(CPACK_BINARY_OSXX11 "")
SET(CPACK_BINARY_PACKAGEMAKER "")
SET(CPACK_BINARY_RPM "OFF")
SET(CPACK_BINARY_STGZ "ON")
SET(CPACK_BINARY_TBZ2 "OFF")
SET(CPACK_BINARY_TGZ "ON")
SET(CPACK_BINARY_TXZ "OFF")
SET(CPACK_BINARY_TZ "ON")
SET(CPACK_BINARY_ZIP "")
SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET(CPACK_COMPONENTS_ALL "")
SET(CPACK_COMPONENT_UNSPECIFIED_HIDDEN "TRUE")
SET(CPACK_COMPONENT_UNSPECIFIED_REQUIRED "TRUE")
SET(CPACK_GENERATOR "TGZ;TBZ2;TXZ;TZ")
SET(CPACK_IGNORE_FILES "/_CPack_Packages/;/CMakeFiles/;/.deps/;freecell-solver-[0-9]+\\.[0-9]+\\.[0-9]+(-Source|-Linux|)(/|\\.(sh|tar\\.(gz|bz2|Z|lzma|xz))$);\\.o$;~$;/board_gen/(pi-make-microsoft-freecell-board|make-microsoft-freecell-board|make-gnome-freecell-board|make-aisleriot-freecell-board)$;/(fc-solve|freecell-solver-range-parallel-solve)$;/lib(fcs|freecell-solver)\\.a$;\\.so(\\.[0-9]+)*$;/.svn/;/t/t/.*\\.exe$;/t/Presets;/CMakeCache.txt$;/Makefile$;/CTestTestfile.cmake$;/CPackConfig.cmake$;/tags$;/([0-9]+)\\.board$;/config\\.h$")
SET(CPACK_INSTALLED_DIRECTORIES "/home/shlomi/progs/freecell/trunk/fc-solve/source;/")
SET(CPACK_INSTALL_CMAKE_PROJECTS "")
SET(CPACK_INSTALL_PREFIX "/usr")
SET(CPACK_MODULE_PATH "")
SET(CPACK_NSIS_DISPLAY_NAME "Freecell Solver 2.22.0")
SET(CPACK_NSIS_INSTALLER_ICON_CODE "")
SET(CPACK_NSIS_INSTALLER_MUI_ICON_CODE "")
SET(CPACK_OUTPUT_CONFIG_FILE "/home/shlomi/progs/freecell/trunk/fc-solve/source/CPackConfig.cmake")
SET(CPACK_PACKAGE_DEFAULT_LOCATION "/")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "/home/shlomi/progs/freecell/trunk/fc-solve/source/README")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Freecell Solver")
SET(CPACK_PACKAGE_EXECUTABLES "fc-solve;Single-Game Solver")
SET(CPACK_PACKAGE_FILE_NAME "freecell-solver-2.22.0")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "Freecell Solver 2.22.0")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "freecell-solver 2.22.0")
SET(CPACK_PACKAGE_NAME "freecell-solver")
SET(CPACK_PACKAGE_RELOCATABLE "true")
SET(CPACK_PACKAGE_VENDOR "Shlomi Fish")
SET(CPACK_PACKAGE_VERSION "2.22.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "22")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_RESOURCE_FILE_LICENSE "/home/shlomi/progs/freecell/trunk/fc-solve/source/COPYING")
SET(CPACK_RESOURCE_FILE_README "/usr/share/cmake/Templates/CPack.GenericDescription.txt")
SET(CPACK_RESOURCE_FILE_WELCOME "/usr/share/cmake/Templates/CPack.GenericWelcome.txt")
SET(CPACK_SET_DESTDIR "OFF")
SET(CPACK_SOURCE_CYGWIN "")
SET(CPACK_SOURCE_GENERATOR "TGZ;TBZ2;TXZ;TZ")
SET(CPACK_SOURCE_IGNORE_FILES "/_CPack_Packages/;/CMakeFiles/;/.deps/;freecell-solver-[0-9]+\\.[0-9]+\\.[0-9]+(-Source|-Linux|)(/|\\.(sh|tar\\.(gz|bz2|Z|lzma|xz))$);\\.o$;~$;/board_gen/(pi-make-microsoft-freecell-board|make-microsoft-freecell-board|make-gnome-freecell-board|make-aisleriot-freecell-board)$;/(fc-solve|freecell-solver-range-parallel-solve)$;/lib(fcs|freecell-solver)\\.a$;\\.so(\\.[0-9]+)*$;/.svn/;/t/t/.*\\.exe$;/t/Presets;/CMakeCache.txt$;/Makefile$;/CTestTestfile.cmake$;/CPackConfig.cmake$;/tags$;/([0-9]+)\\.board$;/config\\.h$")
SET(CPACK_SOURCE_INSTALLED_DIRECTORIES "/home/shlomi/progs/freecell/trunk/fc-solve/source;/")
SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "/home/shlomi/progs/freecell/trunk/fc-solve/source/CPackSourceConfig.cmake")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "freecell-solver-2.22.0")
SET(CPACK_SOURCE_STRIP_FILES "")
SET(CPACK_SOURCE_TBZ2 "ON")
SET(CPACK_SOURCE_TGZ "ON")
SET(CPACK_SOURCE_TOPLEVEL_TAG "Linux-Source")
SET(CPACK_SOURCE_TXZ "ON")
SET(CPACK_SOURCE_TZ "ON")
SET(CPACK_SOURCE_ZIP "OFF")
SET(CPACK_STRIP_FILES "")
SET(CPACK_SYSTEM_NAME "Linux")
SET(CPACK_TOPLEVEL_TAG "Linux-Source")
